clear
clf

hold on

%gets file
[t,d,h]=apogee('albedoleaves_t1.csv'); %albedo of a pile of leaves at Tree1
mn1 = mean(d(:,3)); %mean of the albedos in the file
plot(1,mn1,'b-o', 'MarkerFaceColor', 'r','MarkerSize',10) 

hold on %keeps each plot point on the graph

[t,d,h]=apogee('albedoleaves_t2.csv');
mn2 = mean(d(:,3));
plot(2,mn2, 'b-o', 'MarkerFaceColor', 'b','MarkerSize',10)

[t,d,h]=apogee('albedoleaves_t3.csv');
mn3 = mean(d(:,3));
plot(3,mn3, 'b-o', 'MarkerFaceColor', 'y','MarkerSize',10)

[t,d,h]=apogee('albedoleaves_t4.csv');
mn4 = mean(d(:,3));
plot(4,mn4,'b-o', 'MarkerFaceColor', 'm','MarkerSize',10)

[t,d,h]=apogee('albedoleaves_t5.csv');
mn5 = mean(d(:,3));
plot(5,mn5,'b-o', 'MarkerFaceColor', '#EDB120','MarkerSize',10)    

[t,d,h]=apogee('albedoleaves_t6.csv');
mn6 = mean(d(:,3));
plot(6,mn6,'b-o', 'MarkerFaceColor', 'g','MarkerSize',10)

[t,d,h]=apogee('albedoleaves_t7.csv');
mn7 = mean(d(:,3));
plot(7,mn7,'b-o', 'MarkerFaceColor', '#7E2F8E','MarkerSize',10)

[t,d,h]=apogee('albedoleaves_t8.csv');
mn8 = mean(d(:,3));
plot(8,mn8,'b-o', 'MarkerFaceColor', '#4DBEEE','MarkerSize',10)

%Chart Details:
xlabel('tree number') %  Tree Number
ylabel('mean albedo')
legend('Tree 1','Tree 2','Tree 3','Tree 4','Tree 5','Tree 6','Tree 7','Tree 8')
exportgraphics(figure(1), "o1_albedoleaves_mean.pdf")
