SS=load('santarounds.csv');
E=load('santatree.csv');

%% TEMP VS TIME
figure(1)
clf

hold on

%ROUND 1
m11=mean(SS(1:3,4)); %calculates the mean of the three measurements taken at each tree
m12=mean(SS(4:6,4));
m13=mean(SS(7:9,4));
m110=mean(SS(10:12,4));
m17=mean(SS(13:15,4));
m19=mean(SS(16:18,4));
m18=mean(SS(19:21,4));
m14=mean(SS(22:24,4));
m15=mean(SS(25:27,4));
m16=mean(SS(28:30,4));

p1=plot(1,m11,'ro','MarkerFaceColor','r');
p2=plot(1,m12,'co','MarkerFaceColor','c');
p3=plot(1,m13,'go','MarkerFaceColor','g');
p10=plot(1,m110,'mo','MarkerFaceColor','m');
p7=plot(1,m17,'ko','MarkerFaceColor','k');
p9=plot(1,m19,'yo','MarkerFaceColor','y');
p8=plot(1,m18,'ro','MarkerFaceColor',[0.8500 0.3250 0.0980]);
p4=plot(1,m14,'ro','MarkerFaceColor',[0.4940 0.1840 0.5560]);
p5=plot(1,m15,'ro','MarkerFaceColor',[0.3010 0.7450 0.9330]);
p6=plot(1,m16,'ro','MarkerFaceColor',[0.6350 0.0780 0.1840]);

%ROUND 2
m21=mean(SS(31:33,4));
m22=mean(SS(34:36,4));
m23=mean(SS(37:39,4));
m210=mean(SS(40:42,4));
m27=mean(SS(43:45,4));
m29=mean(SS(46:48,4));
m28=mean(SS(49:51,4));
m24=mean(SS(52:54,4));
m25=mean(SS(55:57,4));
m26=mean(SS(58:60,4));

p45=plot(2,m21,'ro','MarkerFaceColor','r');
p46=plot(2,m22,'co','MarkerFaceColor','c');
p47=plot(2,m23,'go','MarkerFaceColor','g');
p48=plot(2,m210,'mo','MarkerFaceColor','m');
p11=plot(2,m27,'ko','MarkerFaceColor','k');
p12=plot(2,m29,'yo','MarkerFaceColor','y');
p13=plot(2,m28,'ro','MarkerFaceColor',[0.8500 0.3250 0.0980]);
p14=plot(2,m24,'ro','MarkerFaceColor',[0.4940 0.1840 0.5560]);
p15=plot(2,m25,'ro','MarkerFaceColor',[0.3010 0.7450 0.9330]);
p16=plot(2,m26,'ro','MarkerFaceColor',[0.6350 0.0780 0.1840]);

%ROUND 3
m31=mean(SS(61:63,4));
m32=mean(SS(64:66,4));
m33=mean(SS(67:69,4));
m310=mean(SS(70:72,4));
m37=mean(SS(73:75,4));
m39=mean(SS(76:78,4));
m38=mean(SS(79:81,4));
m34=mean(SS(82:84,4));
m35=mean(SS(85:87,4));
m36=mean(SS(88:90,4));

p17=plot(3,m31,'ro','MarkerFaceColor','r');
p18=plot(3,m32,'co','MarkerFaceColor','c');
p19=plot(3,m33,'go','MarkerFaceColor','g');
p20=plot(3,m310,'mo','MarkerFaceColor','m');
p21=plot(3,m37,'ko','MarkerFaceColor','k');
p22=plot(3,m39,'yo','MarkerFaceColor','y');
p23=plot(3,m38,'ro','MarkerFaceColor',[0.8500 0.3250 0.0980]);
p24=plot(3,m34,'ro','MarkerFaceColor',[0.4940 0.1840 0.5560]);
p25=plot(3,m35,'ro','MarkerFaceColor',[0.3010 0.7450 0.9330]);
p26=plot(3,m36,'ro','MarkerFaceColor',[0.6350 0.0780 0.1840]);

%ROUND 4
m41=mean(SS(91:93,4));
m42=mean(SS(94:96,4));
m43=mean(SS(97:99,4));
m410=mean(SS(100:102,4));
m47=mean(SS(103:105,4));
m49=mean(SS(106:108,4));
m48=mean(SS(109:111,4));
m44=mean(SS(112:114,4));
m45=mean(SS(115:117,4));
m46=mean(SS(118:120,4));

p27=plot(4,m41,'ro','MarkerFaceColor','r');
p28=plot(4,m42,'co','MarkerFaceColor','c');
p29=plot(4,m43,'go','MarkerFaceColor','g');
p30=plot(4,m410,'mo','MarkerFaceColor','m');
p31=plot(4,m47,'ko','MarkerFaceColor','k');
p40=plot(4,m49,'yo','MarkerFaceColor','y');
p41=plot(4,m48,'ro','MarkerFaceColor',[0.8500 0.3250 0.0980]);
p42=plot(4,m44,'ro','MarkerFaceColor',[0.4940 0.1840 0.5560]);
p43=plot(4,m45,'ro','MarkerFaceColor',[0.3010 0.7450 0.9330]);
p44=plot(4,m46,'ro','MarkerFaceColor',[0.6350 0.0780 0.1840]);

xline=[1 2 3 4];
yline1=[m11 m21 m31 m41];
plot(xline,yline1,'r-','LineWidth',2);

yline2=[m12 m22 m32 m42];
plot(xline,yline2,'c-','LineWidth',2);

yline3=[m13 m23 m33 m43];
plot(xline,yline3,'g-','LineWidth',2);

yline10=[m110 m210 m310 m410];
plot(xline,yline10,'m-','LineWidth',2);

yline7=[m17 m27 m37 m47];
plot(xline,yline7,'k-','LineWidth',2);

yline9=[m19 m29 m39 m49];
plot(xline,yline9,'y-','LineWidth',2);

yline8=[m18 m28 m38 m48];
plot(xline,yline8,'-','Color',[0.8500 0.3250 0.0980],'LineWidth',2);

yline4=[m14 m24 m34 m44];
plot(xline,yline4,'-','Color',[0.4940 0.1840 0.5560],'LineWidth',2);

yline5=[m15 m25 m35 m45];
plot(xline,yline5,'-','Color',[0.3010 0.7450 0.9330],'LineWidth',2);

yline6=[m16 m26 m36 m46];
plot(xline,yline6,'-','Color',[0.6350 0.0780 0.1840],'LineWidth',2);

xlim([0.5 4.5]);
xlabel('Round (Spaced Between 9am and 5pm)');
ylabel('Temperature (Celsius)');
title('Mean Ground Temperature of Each Transect 1m from Base of Tree Throughout Day (Various Headings)')
legs=legend([p1,p2,p3,p4,p5,p6,p7,p8,p9,p10],'Tree 1','Tree 2','Tree 3','Tree 4','Tree 5','Tree 6',...
    'Tree 7','Tree 8','Tree 9','Tree 10');
hold off

set(gcf,'Units','Inches','PaperUnits','Inches')
pos=get(gcf,'Position');
set(gcf,'PaperPositionMode','Auto','PaperSize',[pos(3) pos(4)])
print('-dpdf','santatvt')


%% ALL DATA TEMP V TIME

figure(2)
clf
hold on
p12=plot(E(1:40,12),E(1:40,11),'bo','MarkerFaceColor','b');
p13=plot(E(41:80,12),E(41:80,11),'ro','MarkerFaceColor','r');
p14=plot(E(81:120,12),E(81:120,11),'go','MarkerFaceColor','g');

xlabel('Time (Hour)');
ylabel('Temperature (Cº)');
title('Temperature of All Trees for Throughout Day Distinguished by Heading');
legend([p12,p13,p14],'150º','180º','210º','FontSize',14);
hold off

set(gcf,'Units','Inches','PaperUnits','Inches')
pos=get(gcf,'Position');
set(gcf,'PaperPositionMode','Auto','PaperSize',[pos(3) pos(4)])
print('-dpdf','santascatter')


%% SUBPLOT BY HEADING
figure(3)
clf
hold on
subplot(3,1,1)
hold on
ti150=E(1:40,12);
te150=E(1:40,11);
p12=plot(ti150,te150,'bo','MarkerFaceColor','b');

pval1=polyfit(ti150,te150,1); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y1=polyval(pval1,ti150); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho1,pval1]= corrcoef(ti150,te150);
pline=plot(ti150,y1,'r-','LineWidth',2);

legend([p12,pline],'Data',sprintf('m=%3.2f º/hr, r=%3.2f, pval=%3.2f',pval1(1),rho1(2,1),pval1(2,1)),'FontSize',14,'Location','southoutside');

xlabel('Time (Hour)');
ylabel('Temperature (Cº)');
title('Temperature of All Trees for a Heading of 150º');

subplot(3,1,2)
hold on
ti180=E(41:80,12);
te180=E(41:80,11);

p13=plot(ti180,te180,'ro','MarkerFaceColor','r');

pval2=polyfit(ti180,te180,1); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y2=polyval(pval2,ti180); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho2,pval2]= corrcoef(ti180,te180);
pline2=plot(ti180,y2,'r-','LineWidth',2);

legend([p13,pline2],'Data',sprintf('m=%3.2f º/hr, r=%3.2f, pval=%3.2f',pval2(1),rho2(2,1),pval2(2,1)),'FontSize',14,'Location','southoutside');

xlabel('Time (Hour)');
ylabel('Temperature (Cº)');
title('Temperature of All Trees for a Heading of 180º');

subplot(3,1,3)
hold on
ti210=E(81:120,12);
te210=E(81:120,11);
p14=plot(ti210,te210,'go','MarkerFaceColor','g');

pval3=polyfit(ti210,te210,1); %this gives slope and yint of best fit line, last 1 is because its linear (x^1)
    y3=polyval(pval3,ti210); %creates the line that has properties of p

    %calculate correlation coefficient
    [rho3,pval3]= corrcoef(ti210,te210);
pline3=plot(ti210,y2,'r-','LineWidth',2);

legend([p14,pline3],'Data',sprintf('m=%3.2f º/hr, r=%3.2f, pval=%3.2f',pval3(1),rho3(2,1),pval3(2,1)),'FontSize',14,'Location','southoutside');

xlabel('Time (Hour)');
ylabel('Temperature (Cº)');
title('Temperature of All Trees for a Heading of 210º');

hold off

set(gcf,'Units','Inches','PaperUnits','Inches')
pos=get(gcf,'Position');
set(gcf,'PaperPositionMode','Auto','PaperSize',[pos(3) pos(4)])
print('-dpdf','santaheading')

